🚀 App Center for Liri OS
Clone or download
Latest commit b959a17 Jan 5, 2019

README.md

App Center

License GitHub release Build Status GitHub issues Maintained

This is the App Center for Liri OS for installing, updating, and managing applications built using Flatpak.

Dependencies

Qt >= 5.10.0 with at least the following modules is required:

The following modules and their dependencies are required:

Installation

mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/path/to/prefix ..
make
make install # use sudo if necessary

Replace /path/to/prefix to your installation prefix. Default is /usr/local.

Logging categories

Qt 5.2 introduced logging categories and we take advantage of them to make debugging easier.

Please refer to the Qt documentation to learn how to enable them.

Available categories

  • liri.appcenter: Library
  • liri.backends.flatpak: Flatpak backend

Licensing

Licensed under the terms of the GNU General Public License version 3 or, at your option, any later version.